- Qt 5.5
- Qt WebEngine
- QML Types
- WebEngineFullScreenRequest QML Type
- Qt 5.5.1 Reference Documentation

# WebEngineFullScreenRequest QML Type

A utility class for the WebEngineView::fullScreenRequested signal. More...

Import Statement: | import QtWebEngine 1.1
Since: | QtWebEngine 1.1

- List of all members, including inherited members

## Properties

- toggleOn : bool

## Methods

- void accept()

## Detailed Description

See also WebEngineView::fullScreenRequested.

## Property Documentation

read-only toggleOn : bool

Returns `true` if the application should toggle fullscreen mode on, `false` otherwise.

This QML property was introduced in QtWebEngine 1.1.

See also WebEngineFullScreenRequest::accept().

## Method Documentation

void accept()

Call this method to accept the fullscreen request. It sets the WebEngineView::isFullScreen property to be equal to WebEngineFullScreenRequest::toggleOn.

    ApplicationWindow {
        id: window
        WebEngineView {
            onFullScreenRequested: {
                if (request.toggleOn)
                    window.showFullScreen()
                else
                    window.showNormal()
                request.accept()
            }
        }
    }

This QML method was introduced in QtWebEngine 1.1.

See also WebEngineFullScreenRequest::toggleOn.